Debian Bug report logs - #606411
ftp.debian.org: Please clarify policy concerning acceptance of small packages

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Nicholas Bamber <nicholas@periapt.co.uk>

Date: Wed, 8 Dec 2010 23:18:02 UTC

Severity: important

Tags: wontfix

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#606411; Package ftp.debian.org. (Wed, 08 Dec 2010 23:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 08 Dec 2010 23:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: Please clarify policy concerning acceptance of small packages
Date: Wed, 08 Dec 2010 23:18:11 +0000
Package: ftp.debian.org
Severity: important

There is a history of small packages (apparently where the packaging takes 
up more space than the code), being rejected by the ftp masters.
This has led to some perl modules being bundled together, sometimes
in ungainly packages that will be objectionable to some users.
So we can do this rationally we need to know exactly how this test is applied.
What counts as packaging and what code? Are you counting test scripts
as packaging or code? Are you looking at uncompressed files or compressed?
Maybe it could be expressed by a policy that could be built into a lintian
check. I am sure that this would make life easier both for packagers
and ftp masters.




Added tag(s) wontfix. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 16:03:03 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Sat, 24 Mar 2012 16:03:12 GMT) Full text and rfc822 format available.

Notification sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Bug acknowledged by developer. (Sat, 24 Mar 2012 16:03:14 GMT) Full text and rfc822 format available.

Message #12 received at 606411-done@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 606411-done@bugs.debian.org
Subject: Re: Bug#606411: Please clarify policy concerning acceptance of small packages
Date: Sat, 24 Mar 2012 16:57:21 +0100
tags 606411 + wontfix
thanks


It's not just a matter of size or a percentage between the debian
directory and the rest of the code. It's more about the real usefulness
of a package to be distributed as a stand-alone source package, instead
of it being part of another package.

Before attempting to include another NEW package in Debian, you should
consider whether it could better go somewhere else first, that is, by
looking at similar packages and then ask respective maintainers their
opinions on the matter.

Given the above, a "policy" cannot be determined a priori, as there
would be a lot of corner cases where such a "policy" has to be cheated
(e.g. metapackages or Python namespace pacakges). The best solution
would be getting in touch with FTP Team to discuss about possibly
problematic packages.

-- 
Luca Falavigna
on behalf of the FTP Team




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Apr 2012 07:35:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:14:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.